## nsf 2.3.0

=== unix/Makefile ===
# Makefile.in --
#
#	This file is a Makefile for Sample TEA Extension.  If it has the name
#	"Makefile.in" then it is a template for a Makefile;  to generate the
#	actual Makefile, run "./configure", which is a configuration script
#	generated by the "autoconf" program (constructs like "@foo@" will get
#	replaced in the actual Makefile.
#
# Copyright (c) 1999 Scriptics Corporation.
# Copyright (c) 2002-2003 ActiveState Corporation.
# Copyright (c) 2001-2007 Uwe Zdun
# Copyright (c) 2001-2014 Gustaf Neumann
#
# See the file "tcl-license.terms" for information on usage and redistribution
# of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#

#========================================================================
# Add additional lines to handle any additional AC_SUBST cases that
# have been added in a customized configure script.
#========================================================================

NX_VERSION 	= 2.0.0

src_lib_dir		= ${srcdir}/library
src_doc_dir		= ${srcdir}/doc
src_test_dir		= ${srcdir}/tests
src_app_dir		= ${srcdir}/apps
src_generic_dir		= ${srcdir}/generic
src_man_dir		= ${srcdir}/man
TCL_LIB_SPEC		= -L/usr/local/ns/lib -ltcl8.5
subdirs			=  ../library/mongodb
aol_prefix		= /usr/local/ns
stubdir                 = stubs${TCL_MAJOR_VERSION}.${TCL_MINOR_VERSION}

# Requires native paths
PLATFORM_DIR	= `echo $(srcdir)/unix`
target_doc_dir		= ./doc

src_lib_dir_native	= `echo ${src_lib_dir}`
src_doc_dir_native	= `echo ${src_doc_dir}`
src_test_dir_native 	= `echo ${src_test_dir}`
src_app_dir_native	= `echo ${src_app_dir}`
src_generic_dir_native	= `echo ${src_generic_dir}`

libdirs		= lib nx serialize
libsrc		= COPYRIGHT pkgIndex.tcl 
appdirs		= 
appsrc		= COPYRIGHT 


# XOTcl subpackage
xotcl_srcdir	= ${srcdir}/library/xotcl
xotcl_src_doc_dir = ${xotcl_srcdir}/doc
xotcl_src_app_dir = ${xotcl_srcdir}/apps
xotcl_src_lib_dir = ${xotcl_srcdir}/library
xotcl_src_test_dir = ${xotcl_srcdir}/tests
xotcl_target_doc_dir = ${xotcl_srcdir}/doc

xotcl_libdirs	= comm lib serialize 
xotcl_libsrc	= COPYRIGHT xotcl2.tcl pkgIndex.tcl
xotcl_appdirs	= comm scripts utils  
xotcl_appsrc	= COPYRIGHT 

# Documentation source for xotcl-style documentation system
XODOC_SOURCE = \
	$(src_lib_dir)/serialize/serializer.tcl \
	$(xotcl_src_doc_dir)/langRef.xotcl \
	$(xotcl_src_lib_dir)/lib/*.xotcl \
	$(xotcl_src_test_dir)/*.xotcl \
	$(xotcl_src_app_dir)/comm/[flsw]*.xotcl \
	$(xotcl_src_app_dir)/utils/xo-*[a-z0-9] 

#export TCLLIBPATH=. ${srcdir}
mkinstalldirs= mkdir -p
#========================================================================
# Nothing of the variables below this line should need to be changed.
# Please check the TARGETS section below to make sure the make targets
# are correct.
#========================================================================

DTRACE_OBJ = 
DTRACE_HDR = $(src_generic_dir)/nsfDTrace.h
DTRACE_SRC = $(src_generic_dir)/nsfDTrace.d

#========================================================================
# The names of the source files is defined in the configure script.
# The object files are used for linking into the final library.
# This will be used when a dist target is added to the Makefile.
# It is not important to specify the directory, as long as it is the
# $(srcdir) or in the generic, win or unix subdirectory.
#========================================================================

PKG_SOURCES	=  nsf.c nsfError.c nsfObjectData.c nsfProfile.c nsfDebug.c nsfUtil.c nsfObj.c nsfPointer.c nsfEnumerationType.c nsfCmdDefinitions.c nsfShadow.c nsfCompile.c aolstub.c ${srcdir}/generic/stubs8.5/nsfStubInit.o
PKG_OBJECTS	=  nsf.o nsfError.o nsfObjectData.o nsfProfile.o nsfDebug.o nsfUtil.o nsfObj.o nsfPointer.o nsfEnumerationType.o nsfCmdDefinitions.o nsfShadow.o nsfCompile.o aolstub.o ${srcdir}/generic/stubs8.5/nsfStubInit.o ${DTRACE_OBJ}

PKG_STUB_SOURCES =  nsfStubLib.c
PKG_STUB_OBJECTS =  nsfStubLib.o

#========================================================================
# PKG_TCL_SOURCES identifies Tcl runtime files that are associated with
# this package that need to be installed, if any.
#========================================================================

PKG_TCL_SOURCES = 

#========================================================================
# This is a list of public header files to be installed, if any.
#========================================================================

PKG_HEADERS	=  generic/nsf.h generic/nsfInt.h generic/stubs8.5/nsfDecls.h generic/stubs8.5/nsfIntDecls.h

#========================================================================
# "PKG_LIB_FILE" refers to the library (dynamic or static as per
# configuration options) composed of the named objects.
#========================================================================

PKG_LIB_FILE	= libnsf2.0.0.dylib
PKG_STUB_LIB_FILE = libnsfstub2.0.0.a

lib_BINARIES	= $(PKG_LIB_FILE) $(PKG_STUB_LIB_FILE)
BINARIES	= $(lib_BINARIES)

SHELL		= /bin/sh

srcdir		= ..
prefix		= /usr/local/ns
exec_prefix	= /usr/local/ns

bindir		= ${exec_prefix}/bin
libdir		= ${exec_prefix}/lib
datadir		= ${datarootdir}
datarootdir	= ${prefix}/share
mandir		= ${datarootdir}/man
includedir	= ${prefix}/include

DESTDIR		=

PKG_DIR		= $(PACKAGE_NAME)$(PACKAGE_VERSION)
pkglibdir	= $(libdir)/$(PKG_DIR)

top_builddir	= .

INSTALL         = $(SHELL) $(srcdir)/tclconfig/install-sh -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA    = ${INSTALL} -m 644
INSTALL_SCRIPT  = ${INSTALL}

# INSTALL_OPTIONS =
# INSTALL		= $(SHELL) $(srcdir)/config/install-sh -c ${INSTALL_OPTIONS}
# INSTALL_DATA_DIR = ${INSTALL} -d -m 755
# INSTALL_PROGRAM	= ${INSTALL} -m 755
# INSTALL_DATA	= ${INSTALL} -m 644
# INSTALL_SCRIPT	= ${INSTALL_PROGRAM}
# INSTALL_LIBRARY	= ${INSTALL_DATA}

PACKAGE_NAME	= nsf
PACKAGE_VERSION	= 2.0.0
CC		= gcc
CFLAGS_DEFAULT	= -g
# useful for debugging:  --param=ssp-buffer-size=4 -fstack-protector-all 
CFLAGS_WARNING	= -Wall
CLEANFILES	= *.a *.so *~ core gmon.out *.o pkgIndex.tcl
EXEEXT		= 
LDFLAGS_DEFAULT	=  -prebind -headerpad_max_install_names -Wl,-search_paths_first 
MAKE_LIB	= ${SHLIB_LD} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_LIBS} 
MAKE_SHARED_LIB	= ${SHLIB_LD} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_LIBS}
MAKE_STATIC_LIB	= ${STLIB_LD} $@ $(PKG_OBJECTS)
MAKE_STUB_LIB	= ${STLIB_LD} $@ $(PKG_STUB_OBJECTS)
OBJEXT		= o
RANLIB		= :
RANLIB_STUB	= ranlib
SHLIB_CFLAGS	= -fno-common
SHLIB_LD	= ${CC} -dynamiclib ${CFLAGS} ${LDFLAGS_DEFAULT} -Wl,-single_module -current_version 2.0.0 -compatibility_version 2.0.0
SHLIB_LD_LIBS	= ${LIBS} -L/usr/local/ns/lib -ltclstub8.5
STLIB_LD	= ${AR} cr
TCL_DEFS	= -DPACKAGE_NAME=\"tcl\" -DPACKAGE_TARNAME=\"tcl\" -DPACKAGE_VERSION=\"8.5\" -DPACKAGE_STRING=\"tcl\ 8.5\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DNO_VALUES_H=1 -DHAVE_LIMITS_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DHAVE_PTHREAD_ATTR_SETSTACKSIZE=1 -DHAVE_PTHREAD_ATFORK=1 -DHAVE_PTHREAD_GET_STACKSIZE_NP=1 -DTCL_THREADS=1 -DTCL_CFGVAL_ENCODING=\"iso8859-1\" -DMODULE_SCOPE=extern\ __attribute__\(\(__visibility__\(\"hidden\"\)\)\) -DMAC_OSX_TCL=1 -DHAVE_CAST_TO_UNION=1 -DTCL_SHLIB_EXT=\".dylib\" -DTCL_TOMMATH=1 -DMP_PREC=4 -DTCL_WIDE_INT_IS_LONG=1 -DHAVE_GETCWD=1 -DHAVE_OPENDIR=1 -DHAVE_STRTOL=1 -DHAVE_WAITPID=1 -DHAVE_GETADDRINFO=1 -DHAVE_GETPWUID_R_5=1 -DHAVE_GETPWUID_R=1 -DHAVE_GETPWNAM_R_5=1 -DHAVE_GETPWNAM_R=1 -DHAVE_GETGRGID_R_5=1 -DHAVE_GETGRGID_R=1 -DHAVE_GETGRNAM_R_5=1 -DHAVE_GETGRNAM_R=1 -DHAVE_MTSAFE_GETHOSTBYNAME=1 -DHAVE_MTSAFE_GETHOSTBYADDR=1 -DUSE_TERMIOS=1 -DHAVE_SYS_TIME_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_GMTIME_R=1 -DHAVE_LOCALTIME_R=1 -DHAVE_MKTIME=1 -DHAVE_TM_GMTOFF=1 -DHAVE_TIMEZONE_VAR=1 -DHAVE_STRUCT_STAT_ST_BLOCKS=1 -DHAVE_STRUCT_STAT_ST_BLKSIZE=1 -DHAVE_BLKCNT_T=1 -DHAVE_INTPTR_T=1 -DHAVE_UINTPTR_T=1 -DHAVE_SIGNED_CHAR=1 -DHAVE_LANGINFO=1 -DHAVE_CHFLAGS=1 -DHAVE_GETATTRLIST=1 -DHAVE_COPYFILE_H=1 -DHAVE_COPYFILE=1 -DUSE_VFORK=1 -DTCL_DEFAULT_ENCODING=\"utf-8\" -DTCL_LOAD_FROM_MEMORY=1 -DTCL_WIDE_CLICKS=1 -DHAVE_AVAILABILITYMACROS_H=1 -DHAVE_WEAK_IMPORT=1 -D_DARWIN_C_SOURCE=1 -DHAVE_FTS=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_SYS_FILIO_H=1 -DTCL_UNLOAD_DLLS=1 -DHAVE_CPUID=1 
TCL_BIN_DIR	= /usr/local/ns/lib
TCL_SRC_DIR	= /usr/local/src/tcl8.5.17
#
DTRACE          = dtrace

ifeq ($(DTPLITE),)
  DTPLITE=dtplite
else
  # Do nothing, use the environment variable as is.
endif
#
# Not used, but retained for reference of what libs Tcl required
TCL_LIBS	= ${DL_LIBS} ${LIBS} ${MATH_LIBS}

xotcl_pkglibdir	= $(pkglibdir)/xotcl

installed_shells = $(DESTDIR)$(bindir)/nxsh $(DESTDIR)$(bindir)/nxwish $(DESTDIR)$(bindir)/xotclsh $(DESTDIR)$(bindir)/xowish

#========================================================================
# TCLLIBPATH seeds the auto_path in Tcl's init.tcl so we can test our
# package without installing.  The other environment variables allow us
# to test against an uninstalled Tcl.  Add special env vars that you
# require for testing here (like TCLX_LIBRARY).
#========================================================================

EXTRA_PATH	= $(top_builddir):$(TCL_BIN_DIR)
TCLSH_ENV	= TCL_LIBRARY=`echo $(TCL_SRC_DIR)/library` \
		  DYLD_LIBRARY_PATH="$(EXTRA_PATH):$(DYLD_LIBRARY_PATH)" \
		  PATH="$(EXTRA_PATH):$(PATH)" \
		  TCLLIBPATH="$(top_builddir) ${srcdir} $(TCLLIBPATH)"
TCLSH_PROG	= /usr/local/ns/bin/tclsh8.5
TCLSH		= $(TCLSH_ENV) $(TCLSH_PROG)
#TCLSH		= $(TCLSH_ENV) valgrind --dsymutil=yes $(TCLSH_PROG)
SHARED_BUILD	= 1

INCLUDES	=  -I"/usr/local/src/tcl8.5.17/generic" -I"/usr/local/src/tcl8.5.17/unix" -I/Users/neumann/src/nsf2.0/generic
EXTRA_CFLAGS	=  -DNSF_VERSION=\"2.0\" -DNSF_PATCHLEVEL=\"2.0.0\" 	 

# TCL_DEFS is not strictly need here, but if you remove it, then you
# must make sure that configure.in checks for the necessary components
# that your library may use.  TCL_DEFS can actually be a problem if
# you do not compile with a similar machine setup as the Tcl core was
# compiled with.
#DEFS		= $(TCL_DEFS) -DPACKAGE_NAME=\"nsf\" -DPACKAGE_TARNAME=\"nsf\" -DPACKAGE_VERSION=\"2.0.0\" -DPACKAGE_STRING=\"nsf\ 2.0.0\" -DPACKAGE_BUGREPORT=\"xotcl@alice.wu-wien.ac.at\" -DPACKAGE_URL=\"\" -DBUILD_nsf=/\*\*/ -DHAVE_STRNSTR=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DNO_VALUES_H=1 -DHAVE_LIMITS_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_TCL_COMPILE_H=1 -DNSF_WITH_ASSERTIONS=1 -DNSF_PROFILE=1 -DNSF_DEVELOPMENT=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DTCL_THREADS=1 -DMODULE_SCOPE=extern\ __attribute__\(\(__visibility__\(\"hidden\"\)\)\) -DHAVE_HIDDEN=1 -DHAVE_CAST_TO_UNION=1 -DTCL_WIDE_INT_IS_LONG=1 -DUSE_TCL_STUBS=1 -DCOMPILE_NSF_STUBS=1 $(EXTRA_CFLAGS)
DEFS		= -DPACKAGE_NAME=\"nsf\" -DPACKAGE_TARNAME=\"nsf\" -DPACKAGE_VERSION=\"2.0.0\" -DPACKAGE_STRING=\"nsf\ 2.0.0\" -DPACKAGE_BUGREPORT=\"xotcl@alice.wu-wien.ac.at\" -DPACKAGE_URL=\"\" -DBUILD_nsf=/\*\*/ -DHAVE_STRNSTR=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DNO_VALUES_H=1 -DHAVE_LIMITS_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_TCL_COMPILE_H=1 -DNSF_WITH_ASSERTIONS=1 -DNSF_PROFILE=1 -DNSF_DEVELOPMENT=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DTCL_THREADS=1 -DMODULE_SCOPE=extern\ __attribute__\(\(__visibility__\(\"hidden\"\)\)\) -DHAVE_HIDDEN=1 -DHAVE_CAST_TO_UNION=1 -DTCL_WIDE_INT_IS_LONG=1 -DUSE_TCL_STUBS=1 -DCOMPILE_NSF_STUBS=1 $(EXTRA_CFLAGS) 

CONFIG_CLEAN_FILES = Makefile ../nsfConfig.sh ../library/xotcl/xotclsh ../library/xotcl/xowish ../unix/pkgIndex.unix nxsh nxwish autom4te.cache/

CPPFLAGS	= 
LIBS		=  
AR		= ar
CFLAGS		= -pipe  ${CFLAGS_DEFAULT} ${CFLAGS_WARNING} ${SHLIB_CFLAGS}
