## nsf 2.0.0

=== debian/changelog ===
nsf (2.0.0-2) unstable; urgency=medium

  * To fix FTBFS, exclude HTTP tests from running in debian builds, as
    buildd boxes do not guarantee for operative network I/O (Closes: #793845).

 -- Stefan Sobernig <stefan.sobernig@wu.ac.at>  Fri, 31 Jul 2015 13:08:37 +0200

nsf (2.0.0-1) unstable; urgency=low

  * Initial release (Closes: #766486)
  * See http://next-scripting.org/ for details on the upstream release.

 -- Stefan Sobernig <stefan.sobernig@wu.ac.at>  Tue, 28 Oct 2014 10:23:27 +0200
