## nsf 2.1.0

=== debian/changelog ===
nsf (2.1.0-4) unstable; urgency=low

  * nsf.install: Fix installation target for xotcl::serializer (Closes: #856961)
  * Prepare a set of autopkgtests to check availability of NSF/NX Tcl packages.

 -- Stefan Sobernig <stefan.sobernig@wu.ac.at>  Mon, 06 Mar 2017 22:59:53 +0100

nsf (2.1.0-3) unstable; urgency=medium

  * Add NSF's lib and serializer package to the NSF debian package.

 -- Stefan Sobernig <stefan.sobernig@wu.ac.at>  Sat, 11 Feb 2017 22:05:47 +0100

nsf (2.1.0-2) unstable; urgency=low

  * Fix URLs in debian/control.

 -- Stefan Sobernig <stefan.sobernig@wu.ac.at>  Mon, 23 Jan 2017 22:50:35 +0100

nsf (2.1.0-1) unstable; urgency=low

  * Package upstream 2.1.0 release
  * Lintian clean as of lintian 2.5.50
  * debian/rules: Activated all hardening build flags
  * debian/control: Bumped standards version from 3.9.6 to 3.9.8, 
    use https rather than git URL schema.

 -- Stefan Sobernig <stefan.sobernig@wu.ac.at>  Tue, 20 Dec 2016 21:51:50 +0100
