=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Stefan Sobernig <stefan.sobernig@wu.ac.at>
 Build-Depends: debhelper (>= 9.0.0), autotools-dev, tcl-dev, tcllib
-Standards-Version: 3.9.6
-Homepage: http://next-scripting.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/nsf.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/nsf.git;a=summary
+Standards-Version: 3.9.8
+Homepage: https://next-scripting.org/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/nsf.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/nsf.git
+Testsuite: autopkgtest
 
 Package: nsf
 Architecture: any
