## nsf 2.2.0

=== debian/changelog ===
nsf (2.2.0-1) unstable; urgency=medium

  * Package upstream 2.2.0 release
  * debian/docs: Reflect renaming of README to README.md
  * debian/control: Change Vcs-* to Salsa repository
  * debian/control: Remove unneeded Testsuite setting
  * Lintian clean as of lintian 2.5.112
  * debian/control: Bumped standards version from 3.9.8 to 4.2.1
  * nsfConfig.sh: Remove src and build paths from nsfConfig.sh
    script (Closes: #890052)

 -- Stefan Sobernig <stefan.sobernig@wu.ac.at>  Tue, 13 Nov 2018 19:09:21 +0000
