=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Stefan Sobernig <stefan.sobernig@wu.ac.at>
 Build-Depends: debhelper (>= 9.0.0), autotools-dev, tcl-dev, tcllib
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: https://next-scripting.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/nsf.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/nsf.git
-Testsuite: autopkgtest
+Vcs-Git: https://salsa.debian.org/tcltk-team/nsf.git
+Vcs-Browser: https://salsa.debian.org/tcltk-team/nsf
 
 Package: nsf
 Architecture: any
