## nsf 2.3.0

=== debian/changelog ===
nsf (2.3.0-1) unstable; urgency=medium

  * Package upstream 2.3.0 release
  * debian/control: Bumped standards version from 4.2.1 to 4.3.0

 -- Stefan Sobernig <stefan.sobernig@wu.ac.at>  Mon, 27 May 2019 13:15:21 +0000
