=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Stefan Sobernig <stefan.sobernig@wu.ac.at>
 Build-Depends: debhelper (>= 9.0.0), autotools-dev, tcl-dev, tcllib
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://next-scripting.org/
 Vcs-Git: https://salsa.debian.org/tcltk-team/nsf.git
 Vcs-Browser: https://salsa.debian.org/tcltk-team/nsf
