=== debian/tests/control ===
Test-Command: tclsh debian/tests/autopkgtest-nsf.tcl
