=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Stefan Sobernig <stefan.sobernig@wu.ac.at>
-Build-Depends: debhelper (>= 9.0.0), autotools-dev, tcl-dev, tcllib
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), tcl-dev, tcllib
+Standards-Version: 4.7.0
 Homepage: https://next-scripting.org/
 Vcs-Git: https://salsa.debian.org/tcltk-team/nsf.git
 Vcs-Browser: https://salsa.debian.org/tcltk-team/nsf
