=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ 
+	dh $@ --no-parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- --libdir=/usr/lib/tcltk --includedir=/usr/include/nsf --enable-threads --enable-shared
